Bug 6362 - Fix handling of NULL minor_status in GSSAPI
: Fix handling of NULL minor_status in GSSAPI
Status: RESOLVED FIXED
: GSI C
Authentication
: 4.2.0
: All All
: P3 normal
: 4.2.1
Assigned To:
:
: 4.0.x
:
:
  Show dependency treegraph
 
Reported: 2008-09-08 19:27 by
Modified: 2008-09-10 16:05 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-09-08 19:27:40
Many of the GSSAPI functions test whether input parameters are NULL (including
minor_status) but then attempt to set *minor_status to a globus_result_t value
via the GLOBUS_GSI_GSSAPI_ERROR_RESULT macro.

These cases where detected by coverity prevent run 2:

CID #497: gss_add_oid_set_member 
CID #498: gss_create_empty_oid_set
CID #499: gss_test_oid_set_member
CID #501: gss_add_buffer_set_member
CID #502: gss_create_empty_buffer_set
CID #505: gss_inquire_sec_context_by_oid
------- Comment #1 From 2008-09-09 14:18:40 -------
Also CID #1829: gss_inquire_cred_by_oid() checks for null *after* assigning to
minor_status.
------- Comment #2 From 2008-09-10 16:05:56 -------
Fixes committed to 4.2 branch, 4.0 branch, and trunk. Relevant CIDs marked as
RESOLVED.